# OpenLayers.Format.GeoRSS

Read/write GeoRSS parser. Create a new instance with the OpenLayers.Format.GeoRSS constructor.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.GeoRSS | Read/write GeoRSS parser.
Properties |
rssns | {String} RSS namespace to use.
featurens | {String} Feature Attributes namespace.
georssns | {String} GeoRSS namespace to use.
geons | {String} W3C Geo namespace to use.
featureTitle | {String} Default title for features.
featureDescription | {String} Default description for features.
xy | {Boolean} Order of the GML coordinate: true:(x,y) or false:(y,x) For GeoRSS the default is (y,x), therefore: false
Constructor |
OpenLayers.Format.GeoRSS | Create a new parser for GeoRSS.
Functions |
read | Return a list of features from a GeoRSS doc
write | Accept Feature Collection, and return a string.

### Properties

### rssns

{String} RSS namespace to use. Defaults to “http://backend.userland.com/rss2”

### featurens

{String} Feature Attributes namespace. Defaults to “http://mapserver.gis.umn.edu/mapserver”

### georssns

{String} GeoRSS namespace to use. Defaults to “http://www.georss.org/georss”

### geons

{String} W3C Geo namespace to use. Defaults to “http://www.w3.org/2003/01/geo/wgs84_pos#”

### featureTitle

{String} Default title for features. Defaults to “Untitled”

### featureDescription

{String} Default description for features. Defaults to “No Description”

### xy

{Boolean} Order of the GML coordinate: true:(x,y) or false:(y,x) For GeoRSS the default is (y,x), therefore: false

### Constructor

### OpenLayers.Format.GeoRSS

Create a new parser for GeoRSS.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | doc | )

Return a list of features from a GeoRSS doc

#### Parameters

doc | {Element}

#### Returns

{Array(OpenLayers.Feature.Vector)}

### write

> write: function( | features | )

Accept Feature Collection, and return a string.

#### Parameters

features | {Array(OpenLayers.Feature.Vector)} List of features to serialize into a string.

> read: function( | doc | )

Return a list of features from a GeoRSS doc

> write: function( | features | )

Accept Feature Collection, and return a string.
Create a new parser for GeoRSS.
Read and write XML.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close